<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.vehicle.mapper.VehicleUpkeepItemMapper" >
  <resultMap id="BaseResultMap" type="com.xxfc.platform.vehicle.entity.VehicleUpkeepItem" >
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" property="id" jdbcType="INTEGER" />
    <result column="name" property="name" jdbcType="VARCHAR" />
  </resultMap>

  <select id="selectByIds" parameterType="java.util.Map" resultType="com.xxfc.platform.vehicle.entity.VehicleUpkeepItem">
        select * from vehicle_upkeep_item
        where id in
        <foreach collection="ids" item="id" open="(" separator="," close=")">
          #{id}
        </foreach>
  </select>

</mapper>